import { RouterProvider, createBrowserRouter } from 'react-router-dom';
import routes from './routes';
import { Provider } from 'react-redux';
import { PersistGate } from 'redux-persist/integration/react';
import { persistore, store } from './stores/configureStore';

const router = createBrowserRouter(routes)

function App() {
  return (
    <Provider store={store}>
      <PersistGate persistor={persistore}>
        <RouterProvider router={router} />
      </PersistGate>
    </Provider>
  )
}

export default App
